Option Explicit

Dim soapClient,BaseRate, RelativityFactor, TerritoryFactor, AdjustedBase,
[ic:ccc]ReplaceCost, ReplaceCostFactor, TotalCost
set soapclient = CreateObject("MSSOAP.SoapClient")
On Error Resume Next

Call soapclient.mssoapinit("http://mysite.com/rates/RateCalcSvc.wsdl",
[ic:ccc] "RateCalcSvc", "Class1SoapPort")

if err <> 0 then
  wscript.echo "Initialization Failed " + err.description
else
  wscript.echo "Initialization Successful "
end if
wscript.echo  ""
wscript.echo  ""

BaseRate = 303
RelativityFactor = .97
TerritoryFactor = 1.2
ReplaceCostFactor = .21
AdjustedBase = 0

wscript.echo  "Trying DisplayVersion()"
wscript.echo  soapclient.DisplayVersion() : wscript.echo  ""
if err <> 0 then
  wscript.echo   "ERRORS" :  wscript.echo  ""
  wscript.echo   "----------------------------------------" : wscript.echo  ""
  wscript.echo   "General Error=" + err.description : wscript.echo  ""
  wscript.echo   "faultcode=" + soapclient.faultcode : wscript.echo  ""
  wscript.echo   "faultstring=" + soapclient.faultstring : wscript.echo  ""
  wscript.echo   "faultactor=" + soapclient.faultactor : wscript.echo  ""
  wscript.echo   "detail=" + soapclient.detail	    : wscript.echo  ""
end if
wscript.echo  ""

wscript.echo  "Base Premium = " + BaseRate : wscript.echo  ""
wscript.echo  "Trying CalcBaseRate()"
AdjustedBase =
[ic:ccc]soapclient.CalcBaseRate(BaseRate,RelativityFactor,TerritoryFactor)
if err <> 0 then
  wscript.echo   "ERRORS" :  wscript.echo  ""
  wscript.echo   "----------------------------------------" : wscript.echo  ""
  wscript.echo   "General Error=" + err.description : wscript.echo  ""
  wscript.echo   "faultcode=" + soapclient.faultcode : wscript.echo  ""
  wscript.echo   "faultstring=" + soapclient.faultstring : wscript.echo  ""
  wscript.echo   "faultactor=" + soapclient.faultactor : wscript.echo  ""
  wscript.echo   "detail=" + soapclient.detail	   : wscript.echo  ""
end if
wscript.echo "Adjusted Base Premium = " + Cstr(AdjustedBase) : wscript.echo ""
wscript.echo  ""

wscript.echo  "Trying CalcReplacementCost()"
ReplaceCost = soapclient.CalcReplacementCost(AdjustedBase, ReplaceCostFactor)
if err <> 0 then
  wscript.echo   "ERRORS" :  wscript.echo  ""
  wscript.echo   "----------------------------------------" : wscript.echo  ""
  wscript.echo   "General Error=" + err.description : wscript.echo  ""
  wscript.echo   "faultcode=" + soapclient.faultcode : wscript.echo  ""
  wscript.echo   "faultstring=" + soapclient.faultstring : wscript.echo  ""
  wscript.echo   "faultactor=" + soapclient.faultactor : wscript.echo  ""
  wscript.echo   "detail=" + soapclient.detail	   : wscript.echo  ""
end if
wscript.echo  "Replacement Cost = " + ReplaceCost : wscript.echo  ""
wscript.echo  ""

TotalCost = ReplaceCost + AdjustedBase
wscript.echo  "Total Premium = " + TotalCost : wscript.echo  ""

set soapClient = nothing